
-- DROP TABLE tl_work_flow;




CREATE TABLE tl_work_flow (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    name varchar2(20) NOT NULL,
    sort_order number(12) NOT NULL,
    application_status varchar2(200) NOT NULL,
    job_id number(12)  NULL,
    template_id number(12)  NULL
    );



ALTER TABLE tl_work_flow ADD    
    CONSTRAINT PK_tl_work_flow PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_work_flow_job_id 
    ON tl_work_flow (job_id);

    CREATE INDEX idx_tl_work_flow_template_id 
    ON tl_work_flow (template_id);
